- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::RenderGraph Class Reference

RenderGraph - contained in a renderBin, defines the scene to be drawn. More...

Inheritance diagram for osgUtil::RenderGraph:

[legend]
List of all members.

## Public Types
typedef std::map< const osg::StateSet *, osg::ref_ptr< RenderGraph > > | ChildList
typedef std::vector< osg::ref_ptr< RenderLeaf > > | LeafList
## Public Member Functions
| RenderGraph ()
| RenderGraph (RenderGraph *parent, const osg::StateSet *stateset)
| ~RenderGraph ()
RenderGraph * | cloneType () const
void | setUserData (osg::Referenced *obj)
osg::Referenced * | getUserData ()
const osg::Referenced * | getUserData () const
bool | empty () const
| return true if all of drawables, lights and children are empty.
bool | leaves_empty () const
float | getAverageDistance () const
float | getMinimumDistance () const
void | sortFrontToBack ()
void | reset ()
| Reset the internal contents of a RenderGraph, including deleting all children.
void | clean ()
| Recursively clean the RenderGraph of all its drawables, lights and depths.
void | prune ()
| Recursively prune the RenderGraph of empty children.
RenderGraph * | find_or_insert (const osg::StateSet *stateset)
void | addLeaf (RenderLeaf *leaf)
| add a render leaf.
## Static Public Member Functions
static void | moveRenderGraph (osg::State &state, RenderGraph *sg_curr, RenderGraph *sg_new)
static void | moveToRootRenderGraph (osg::State &state, RenderGraph *sg_curr)
## Public Attributes
RenderGraph * | _parent
const osg::StateSet * | _stateset
int | _depth
ChildList | _children
LeafList | _leaves
float | _averageDistance
float | _minimumDistance
osg::ref_ptr< osg::Referenced > | _userData

## Detailed Description

RenderGraph - contained in a renderBin, defines the scene to be drawn.

## Member Typedef Documentation

typedef std::map< const osg::StateSet*, osg::ref_ptr<RenderGraph> > osgUtil::RenderGraph::ChildList

typedef std::vector< osg::ref_ptr<RenderLeaf> > osgUtil::RenderGraph::LeafList

## Constructor & Destructor Documentation

osgUtil::RenderGraph::RenderGraph | ( |  | ) | `[inline]`

osgUtil::RenderGraph::RenderGraph | ( | RenderGraph * | parent,
|  | const osg::StateSet * | stateset
| ) | `[inline]`

osgUtil::RenderGraph::~RenderGraph | ( |  | ) | `[inline]`

## Member Function Documentation

void osgUtil::RenderGraph::addLeaf | ( | RenderLeaf * | leaf | ) | `[inline]`

| add a render leaf.

void RenderGraph::clean | ( |  | ) |

| Recursively clean the RenderGraph of all its drawables, lights and depths. Leaves children intact, and ready to be populated again.

RenderGraph* osgUtil::RenderGraph::cloneType | ( |  | ) | const`[inline]`

bool osgUtil::RenderGraph::empty | ( |  | ) | const`[inline]`

| return true if all of drawables, lights and children are empty.

RenderGraph* osgUtil::RenderGraph::find_or_insert | ( | const osg::StateSet * | stateset | ) | `[inline]`

float osgUtil::RenderGraph::getAverageDistance | ( |  | ) | const`[inline]`

float osgUtil::RenderGraph::getMinimumDistance | ( |  | ) | const`[inline]`

const osg::Referenced* osgUtil::RenderGraph::getUserData | ( |  | ) | const`[inline]`

osg::Referenced* osgUtil::RenderGraph::getUserData | ( |  | ) | `[inline]`

bool osgUtil::RenderGraph::leaves_empty | ( |  | ) | const`[inline]`

static void osgUtil::RenderGraph::moveRenderGraph | ( | osg::State & | state,
|  | RenderGraph * | sg_curr,
|  | RenderGraph * | sg_new
| ) | `[inline, static]`

static void osgUtil::RenderGraph::moveToRootRenderGraph | ( | osg::State & | state,
|  | RenderGraph * | sg_curr
| ) | `[inline, static]`

void RenderGraph::prune | ( |  | ) |

| Recursively prune the RenderGraph of empty children.

void RenderGraph::reset | ( |  | ) |

| Reset the internal contents of a RenderGraph, including deleting all children.

void osgUtil::RenderGraph::setUserData | ( | osg::Referenced * | obj | ) | `[inline]`

void osgUtil::RenderGraph::sortFrontToBack | ( |  | ) | `[inline]`

## Member Data Documentation

float osgUtil::RenderGraph::_averageDistance`[mutable]`

ChildList osgUtil::RenderGraph::_children

int osgUtil::RenderGraph::_depth

LeafList osgUtil::RenderGraph::_leaves

float osgUtil::RenderGraph::_minimumDistance`[mutable]`

RenderGraph* osgUtil::RenderGraph::_parent

const osg::StateSet* osgUtil::RenderGraph::_stateset

osg::ref_ptr<osg::Referenced> osgUtil::RenderGraph::_userData

The documentation for this class was generated from the following files:

- RenderGraph
- RenderGraph.cpp